<!DOCTYPE html>
<html lang="fr">
    <head>
{% include 'templates/favicon.html' %}
{% include 'templates/global.css.html' %}

      <meta charset="utf-8" />
      <meta name="viewport" content="width=device-width, initial-scale=1.0">  
      <link href="style.css?version=COMMITHASH" rel="stylesheet" type="text/css">
      <link rel="icon" href="images/favicon.ico" sizes="any" />
    <title>Estimation</title>    
  </head>
    <body>
{% include 'templates/widget_back_menu.html' %}

    <button id="bouton-menu" class='bouton-haut' onclick="visibiliteMenu('ouvre')"></button>
    <button id="bouton-stats" class='bouton-haut' onclick="visibiliteStats('ouvre')"></button>

    <div id="haut">
          <button id="bouton-graduation" class='bouton-haut' onclick="visibilite('premiere');active(this);aidePremiereGraduation=true;"></button>        
          <button id="bouton-bloc" class='bouton-haut' onclick="visibilite('bloc-unite');active(this);aideBlocUnite=true"></button>
          <button id="bouton-graduations" class='bouton-haut' onclick="visibilite('toutes');active(this);aideGraduations=true"></button>
    </div>
    <div id="milieu">
    <div id="zone-droite">
      <div id="droite">
        <div id="droite-debord"></div>
        <div id="debut" class="etiquette"></div>
        <div id="fin" class="etiquette"></div>
        <div id="erreur" class="etiquette hide"></div>
        <div id="mobile" style="left: 0%;"></div>
        <div id="etiquette-mobile" class="etiquette" style="left: 0%; background-color: #fff;"></div>
        <div class="bloc-unite hide draggable"></div> 
        <div class="graduation premiere hide" id="premiere-graduation"></div> 
      </div>
     </div>
      <div id="zone-reponse">
        <div id="reponse"><p id="nombre" style="background-color: #fff;"></p></div>
        <button id="ok" onclick="verifieReponse()">✅</button>    <button id="suivant" class="hide" onclick="exerciceSuivant()">Suivant</button>
        <p id="consigne">Écris le nombre représenté par la flèche avec le clavier ou les touches.</p>
      </div>
    </div>




    <div id="clavier">
      <button class="touche" onclick="entreNombre('1')">1</button>
      <button class="touche" onclick="entreNombre('2')">2</button>
      <button class="touche" onclick="entreNombre('3')">3</button>
      <button class="touche" onclick="entreNombre('4')">4</button>
      <button class="touche" onclick="entreNombre('5')">5</button>
      <button class="touche" onclick="entreNombre('6')">6</button>
      <button class="touche" onclick="entreNombre('7')">7</button>
      <button class="touche" onclick="entreNombre('8')">8</button>
      <button class="touche" onclick="entreNombre('9')">9</button>
      <button class="touche" onclick="entreNombre('0')">0</button>
      <button class="touche bouton" onclick="entreNombre('⌫')">❌</button>
      <button class="touche bouton" onclick="verifieReponse()">✅</button>
    </div>

    <div id="menu" style="left: -415px;">
      <button id="bouton-ferme-menu" onclick="visibiliteMenu('ferme')">Fermer</button>
      <p id="titre-options">Options</p>
      <div class="section">
        <p class="titre">Valeurs des extrémités</p>
        <div id="droite-menu">
          <input type='number' id="choix-a" name="choix-a" value=0 step=1 class="choix-nombre" onchange="maj(choixA)" onblur="verifieValeurA()">
          <input type='number' id="choix-b" name="choix-b" value=10 step=1 class="choix-nombre" onchange="maj(choixB)" onblur="verifieValeurB()">
          <form id="choix-verr-a"  class="choix-lock" onchange="changelockA()">
            <input type='radio' id="a1" name="choix-verr-a">
            <label for="choix-verr-a">Min</label><br>
            <input type='radio' id="a2" name="choix-verr-a">
            <label for="choix-verr-a">Fixe</label><br>
          </form>
          <form id="choix-verr-b" class="choix-lock" onchange="changelockB()">
            <input type='radio' id="b1" name="choix-verr-b">
            <label for="choix-verr-b">Max</label><br>
            <input type='radio' id="b2" name="choix-verr-b">
            <label for="choix-verr-b">Fixe</label><br>
          </form>        
        </div>
      </div>
      <button id="info" onclick="info()">À propos de cette application ...</button>

    </div>

    <div id="stats" style="right: -415px;">
      <button id="bouton-ferme-stats" onclick="visibiliteStats('ferme')">Fermer</button>
      <button id="bouton-effacer-stats" onclick="effaceStats()">Effacer</button>

      <p id="titre-stats">Statistiques</p>
      <div class="section" id="resultats"></div>
    </div>

      <script src="script.js?version=COMMITHASH"></script> 
   
    {% include 'templates/global.js.html' %}
</body>
</html>